DELETE /admin-api/discounts/{discountId}

Details

Steps

Step Description Expected result
In BO, Go to Advanced Parameters > New & Experimental Features New & Experimental Features is displayed correctly
Enable Experimental Feature “Discount” Experimental Feature “Discount” is enabled
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
No records found in the table
Click on the button “Add new API access” New API access Page is displayed correctly
* Fill the form with following data
* Click on “Generate client secret & Save” button
* The message “The API access and Client secret has been generated sucessfully” is displayed
* The message “Client secret: " is displayed
In BO, Go to Catalog > Discounts Discounts Page is displayed correctly.
No records in the list.
Reset all filters of Discounts table All filters are reset. All Discounts are displayed
* Click on the Create Discount button
* Choose the discount Type
The “Create Discount” page is displayed
* Fill all discount fields
* Click on the “Save” button
The alert “Successful creation” is displayed.
In BO, Go to Catalog > Discounts Discounts Page is displayed correctly.
1 record in the list.
Fetch the ID of the first row as discountId 1 record found
Request with method DELETE the endpoint “https://[url of your shop]/admin-api/discounts/{discountId}” The HTTP code is 204.
Reload the discounts page Discounts Page is displayed correctly.
No records in the list.
In BO, Go to Advanced Parameters > New & Experimental Features New & Experimental Features is displayed correctly
Disable Experimental Feature “Discount” Experimental Feature “Discount” is disabled
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
1 record found in the table
On the first row, click on the button “Three points” The dropdown is displayed
Click on the Delete Button in the dropdown A modal appeared
Click on the Confirm Button in the modal The message “Successful deletion” is displayed
No records found in the table